#include <iostream>
#include <cstdlib>
#include <cmath>

using namespace std;

double drand() {
  static bool first=true;
  if (first) {    
    srand(12345);
    first=false;
  }
  return rand()/double(RAND_MAX); 
}

int main(int argc, char *argv[]) {
 
  // create array with random numbers
  double* vec=NULL;
  const int NSIZE=1000;
  vec = new double [NSIZE];
  for (int i=0; i<NSIZE; i++)
    vec[i] = drand();

  // calculate mean value
  double mean=0;
  for (int i=0; i<NSIZE; i++)
    mean += vec[i];
  mean /= NSIZE;

  // calculate std deviation
  double sig=0;
  for (int i=0; i<NSIZE; i++) 
    sig += (vec[i]-mean)*(vec[i]-mean);
  sig = sqrt(sig/double(NSIZE-1)); 

  cout << "mean (expected 0.5) = " << mean
       << "  and std dev (0.29) = " << sig << endl;

}
